Bug 810607 - [abrt] liquidwar-server-5.6.4-9.fc16: strncpy: Process /usr/bin/liquidwar-server was killed by signal 6 (SIGABRT)
[abrt] liquidwar-server-5.6.4-9.fc16: strncpy: Process /usr/bin/liquidwar-ser...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liquidwar (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:b0f1891fa4d55fb1d9d810e8376...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-07 01:14 EDT by Joao S. O. Bueno
Modified: 2012-04-21 23:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: liquidwar-5.6.4-9.1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 19:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.41 KB, text/plain)
2012-04-07 01:14 EDT, Joao S. O. Bueno
no flags Details

  None (edit)
Description Joao S. O. Bueno 2012-04-07 01:14:35 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        liquidwar-server
comment:        Just tried to run it - I suppose it will always crash.  I had not tried it before, but this was shortly after upgrading to Linux 3.3
crash_function: strncpy
executable:     /usr/bin/liquidwar-server
kernel:         3.3.0-8.fc16.x86_64
pid:            14306
pwd:            /home/gwidion
reason:         Process /usr/bin/liquidwar-server was killed by signal 6 (SIGABRT)
time:           Fri 06 Apr 2012 07:17:20 PM BRT
uid:            1000
username:       gwidion

backtrace:      Text file, 20902 bytes

build_ids:
:75eaece6e0d1e075520cdfad5c398fdab4370846
:c65df27b775644a511a7e0cc78cc8cfc2fc45c8e
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1333741398
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1333741398
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1333741398
:/usr/bin/liquidwar-server liquidwar-server-5.6.4-9.fc16.x86_64 (Fedora Project) 1333750620
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1333741391
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1333741398

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1251
:XDG_SESSION_ID=1
:KDE_MULTIHEAD=false
:HOSTNAME=caylus
:DM_CONTROL=/var/run/xdmctl
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:XDG_SESSION_COOKIE=f045ba58447dddda65d5ef730000000f-1333734094.7118-1715386670
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/gwidion/.gtkrc-2.0:/home/gwidion/.gtkrc-2.0-kde4:/home/gwidion/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.49
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/gwidion/.gtkrc:/home/gwidion/.kde/share/config/gtkrc
:WINDOWID=31457306
:SHELL_SESSION_ID=23c68c37fccc4000a30a383e8bb1c65c
:KDE_FULL_SESSION=true
:USER=gwidion
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-eTRhqWMi1218/agent.1218
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1319,unix/unix:/tmp/.ICE-unix/1319
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/gwidion
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/gwidion/.local/bin:/home/gwidion/bin
:PWD=/home/gwidion
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/1
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/gwidion
:COLORFGBG=0;15
:XDG_SEAT=seat0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=gwidion
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-iiaGkJXFGr,guid=dc03420e0413de93e20553c800000023
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/gwidion
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/gwidion/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-gwidion/xauth-1000-_0
:_=/usr/bin/liquidwar-server

maps:
:00400000-0040c000 r-xp 00000000 08:04 55462                              /usr/bin/liquidwar-server
:0060b000-0060c000 rw-p 0000b000 08:04 55462                              /usr/bin/liquidwar-server
:0060c000-0060d000 rw-p 00000000 00:00 0 
:02567000-02588000 rw-p 00000000 00:00 0                                  [heap]
:3f3a800000-3f3a822000 r-xp 00000000 08:04 54466                          /lib64/ld-2.14.90.so
:3f3aa21000-3f3aa22000 r--p 00021000 08:04 54466                          /lib64/ld-2.14.90.so
:3f3aa22000-3f3aa23000 rw-p 00022000 08:04 54466                          /lib64/ld-2.14.90.so
:3f3aa23000-3f3aa24000 rw-p 00000000 00:00 0 
:3f3b000000-3f3b1ad000 r-xp 00000000 08:04 54468                          /lib64/libc-2.14.90.so
:3f3b1ad000-3f3b3ad000 ---p 001ad000 08:04 54468                          /lib64/libc-2.14.90.so
:3f3b3ad000-3f3b3b1000 r--p 001ad000 08:04 54468                          /lib64/libc-2.14.90.so
:3f3b3b1000-3f3b3b3000 rw-p 001b1000 08:04 54468                          /lib64/libc-2.14.90.so
:3f3b3b3000-3f3b3b8000 rw-p 00000000 00:00 0 
:3f3b400000-3f3b417000 r-xp 00000000 08:04 54471                          /lib64/libpthread-2.14.90.so
:3f3b417000-3f3b616000 ---p 00017000 08:04 54471                          /lib64/libpthread-2.14.90.so
:3f3b616000-3f3b617000 r--p 00016000 08:04 54471                          /lib64/libpthread-2.14.90.so
:3f3b617000-3f3b618000 rw-p 00017000 08:04 54471                          /lib64/libpthread-2.14.90.so
:3f3b618000-3f3b61c000 rw-p 00000000 00:00 0 
:3f3c000000-3f3c083000 r-xp 00000000 08:04 54490                          /lib64/libm-2.14.90.so
:3f3c083000-3f3c282000 ---p 00083000 08:04 54490                          /lib64/libm-2.14.90.so
:3f3c282000-3f3c283000 r--p 00082000 08:04 54490                          /lib64/libm-2.14.90.so
:3f3c283000-3f3c284000 rw-p 00083000 08:04 54490                          /lib64/libm-2.14.90.so
:3f3c400000-3f3c415000 r-xp 00000000 08:04 54492                          /lib64/libgcc_s-4.6.3-20120306.so.1
:3f3c415000-3f3c614000 ---p 00015000 08:04 54492                          /lib64/libgcc_s-4.6.3-20120306.so.1
:3f3c614000-3f3c615000 rw-p 00014000 08:04 54492                          /lib64/libgcc_s-4.6.3-20120306.so.1
:7ff4bbd7e000-7ff4bbd81000 rw-p 00000000 00:00 0 
:7ff4bbd98000-7ff4bbd9c000 rw-p 00000000 00:00 0 
:7fff4edea000-7fff4ee0b000 rw-p 00000000 00:00 0                          [stack]
:7fff4efe5000-7fff4efe6000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

smolt_data:
:
:
:General
:=================================
:UUID: 84b2821a-b0ef-4a13-9eab-2f15ee9d0d99
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6218.26
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2400 CPU @ 3.10GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 3301
:System Memory: 15780
:System Swap: 11999
:Vendor: Gigabyte Technology Co., Ltd.
:System: Z68MA-D2H-B3 
:Form factor: Desktop
:Kernel: 3.3.0-8.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(7023:28707:5208:20487) pci, xhci_hcd, USB, N/A
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:258:5208:53248) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7170:5208:45061) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:5208:20481) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7236:5208:20481) pci, None, PCI/ISA, Z68 Express Chipset Family LPC Controller
:(32902:7196:5208:20481) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7198:5208:20481) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:5208:40962) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:5208:20481) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:7213:5208:20486) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:5208:20486) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:256:0:0) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:5208:7226) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 6391880 4612680 4548699 1605632 1459293 1459293
:/dev/sda8 WITHHELD btrfs 4096 4096 81117696 81117682 80586240 0 0 0
:/dev/sda2 /home btrfs 4096 4096 102400000 66128487 63800515 0 0 0
:/dev/sda6 WITHHELD ext4 4096 4096 6382454 6255403 5935403 1602496 1602485 1602485
:/dev/sda5 WITHHELD ext4 4096 4096 6382454 6255403 5935403 1602496 1602485 1602485
:/dev/sda3 /opt xfs 4096 4096 38381250 38372922 38372922 153600000 153599997 153599997
:

var_log_messages:
:Apr  6 19:17:01 caylus yum[14285]: Installed: liquidwar-server-5.6.4-9.fc16.x86_64
:Apr  6 19:17:20 caylus abrt[14307]: Saved core dump of pid 14306 (/usr/bin/liquidwar-server) to /var/spool/abrt/ccpp-2012-04-06-19:17:20-14306 (438272 bytes)
Comment 1 Joao S. O. Bueno 2012-04-07 01:14:41 EDT
Created attachment 575867 [details]
File: backtrace
Comment 2 Fedora Update System 2012-04-09 12:59:24 EDT
liquidwar-5.6.4-9.1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/liquidwar-5.6.4-9.1.fc16
Comment 3 Fedora Update System 2012-04-09 12:59:37 EDT
liquidwar-5.6.4-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/liquidwar-5.6.4-12.fc17
Comment 4 Fedora Update System 2012-04-09 12:59:53 EDT
liquidwar-5.6.4-9.1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/liquidwar-5.6.4-9.1.fc15
Comment 5 Fedora Update System 2012-04-10 16:19:54 EDT
Package liquidwar-5.6.4-12.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liquidwar-5.6.4-12.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5600/liquidwar-5.6.4-12.fc17
then log in and leave karma (feedback).
Comment 6 Joao S. O. Bueno 2012-04-13 01:34:22 EDT
The updated package worked out fine on my system.
Comment 7 Fedora Update System 2012-04-18 19:09:26 EDT
liquidwar-5.6.4-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-21 23:26:04 EDT
liquidwar-5.6.4-9.1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-04-21 23:47:21 EDT
liquidwar-5.6.4-9.1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.